Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185183 - Kernel BUG at pci_dma:43 encountered
Summary: Kernel BUG at pci_dma:43 encountered
Keywords:
Status: CLOSED DUPLICATE of bug 182996
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Chip Coldwell
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-03-11 11:00 UTC by Alan B
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-18 19:07:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
messages file which contains the Kernel BUG at pci_dma:43 info (deleted)
2006-03-11 11:00 UTC, Alan B
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Alan B 2006-03-11 11:00:50 UTC
Description of problem:
I have encountered this bug once and has not recurred but, everytime the tape is
mounted on the tape drive by the backup software, the server hangs (no network
connection, no console access)

Version-Release number of selected component (if applicable):
kernel-2.4.21-32.EL


How reproducible:
3 x Dell Servers connected to SAN and sharing one Dell PowerVault 132T LTO3 tape
library.

Steps to Reproduce:
1. Configure Netbackup with shared storage option
2. Have one media server mount the tape drive
3.
  
Actual results:
Server hangs (mostly), Kernel bug encountered once (please see the attached
messages file

Expected results:


Additional info:
I have already check with our backup provider, however, they could not interpret
the bug encountered. Apologies in advance if this issue should does not belog to
bug report criteria.
Our backup provider wanted to know what the kernel bug messages mean. 
Thank you in advance.

Comment 1 Alan B 2006-03-11 11:00:50 UTC
Created attachment 125990 [details]
messages file which contains the Kernel BUG at pci_dma:43 info

Comment 3 Ernie Petrides 2006-03-13 20:50:42 UTC
Correcting "hardware" field.  This looks related to bug 171473,
but I'll let Chip decide if this should be closed as a dup.


Comment 4 Chip Coldwell 2006-03-30 14:53:14 UTC
(In reply to comment #3)
> Correcting "hardware" field.  This looks related to bug 171473,
> but I'll let Chip decide if this should be closed as a dup.

I don't think this is a dup of 171473 -- but I do think this bug (bug 185183),
bug 185399, bug 182996, and bug 162212 are all duplicates of each other and
therefore all fixed in RHEL3 U8.  Would it be possible to have the customer
upgrade to U8 and retest?

Thanks,

Chip


Comment 5 Chip Coldwell 2006-03-30 14:55:54 UTC
(In reply to comment #4)

> I don't think this is a dup of 171473 -- but I do think this bug (bug 185183),
> bug 185399, 

Scratch that.  bug 185399 is totally unrelated.

Chip



Comment 6 Ernie Petrides 2006-03-30 21:14:33 UTC
Chip, customers can't yet "upgrade to U8" because it's still in
development.  We can provide an RPM of an interim build to verify
whether this bug has been addressed, but a customer has no way to
obtain such an RPM directly (without the help of you or someone in
Customer Support).


Comment 7 Chip Coldwell 2006-04-04 14:42:24 UTC
(In reply to comment #6)
> Chip, customers can't yet "upgrade to U8" because it's still in
> development. 

My mistake; I thought it was out in the beta channels.  Your comment on bug
182996 indicates that the fix for that bug went into kernel 2.4.21-40.5 -- so if
we can get that build to the customer to test, that would be very helpful.

Chip

Comment 9 Chip Coldwell 2006-04-07 20:08:27 UTC
We have a kernel build that includes a patch that we believe fixes this bug.  If
the customer can send me the output of "uname -a" on the affected system, I can
identify the apropriate rpm to send to him.

Thanks,

Chip


Comment 10 Chip Coldwell 2006-04-18 19:07:19 UTC

*** This bug has been marked as a duplicate of 182996 ***

Comment 11 Ernie Petrides 2006-04-24 20:20:14 UTC
A fix for this problem was committed to the RHEL3 U8 patch pool
on 27-Mar-2006 (in kernel version 2.4.21-40.5.EL).


Comment 12 Ernie Petrides 2006-04-28 21:46:17 UTC
Adding a couple dozen bugs to CanFix list so I can complete the stupid advisory.

Comment 13 Alan B 2006-05-11 03:28:42 UTC
(In reply to comment #9)
> We have a kernel build that includes a patch that we believe fixes this bug.  If
> the customer can send me the output of "uname -a" on the affected system, I can
> identify the apropriate rpm to send to him.
> 
> Thanks,
> 
> Chip
> 

Hi Chip,

Here is the "uname -a" output.
Linux ssmpora02 2.4.21-32.EL #1 SMP Fri Apr 15 21:02:58 EDT x86_64 x86_64 x86_64
GNU/Linux

Is it possible to send the right rpm to address this bug so that we could
already test it?
If I may ask, when will the Update8 most likely to be released?

Thanks.
-Alan

Comment 14 Ernie Petrides 2006-05-11 18:42:53 UTC
Alan, I'm not allowed to provide an official statement about the U8
schedule.  Please ask Customer Support.

But I suggest checking the RHN beta channels in a couple of weeks if
you'd like to participate in beta testing.


Comment 16 Alan B 2006-05-12 05:43:02 UTC
(In reply to comment #14)
> Alan, I'm not allowed to provide an official statement about the U8
> schedule.  Please ask Customer Support.
> 
> But I suggest checking the RHN beta channels in a couple of weeks if
> you'd like to participate in beta testing.
> 

Hi Ernie,

Will check RHN beta channels as per your advise.

Thanks.
-Alan


Note You need to log in before you can comment on or make changes to this bug.